#version 120

/*
====================================================================================================

    Copyright (C) 2025 Pyhtron

    All Rights Reserved unless otherwise explicitly stated.

====================================================================================================
*/

#include "/Lib/Settings.glsl"

varying vec2 texcoord;
varying vec3 normal;
varying vec3 worldPosition;
varying vec3 eyeDirection;
varying vec3 lightColor; // Übernommen von Vertex Shader

uniform sampler2D texture;

void main() {
    vec4 color = texture2D(texture, texcoord);

    // Füge Leuchteffekt für Sea Lantern hinzu
    color.rgb += lightColor;

    gl_FragColor = color;
}